package eu.mhsl.minenet.minigames.instance.game.stateless.types.bedwars.data;

import net.minestom.server.coordinate.Pos;
import net.minestom.server.entity.Player;
import net.minestom.server.item.Material;

import java.util.ArrayList;
import java.util.List;

public class BedwarsTeam {
    private List<Player> members = new ArrayList<>();

    private final String name;
    private final Pos spawn;
    private final Pos spawner;

    private final Pos[] bed;

    private final Material block;

    private boolean hasBed = true;

    public BedwarsTeam(String name, Pos spawn, Pos spawner, Pos[] bed, Material block) {
        this.name = name;
        this.spawn = spawn;
        this.spawner = spawner;
        this.bed = bed;
        this.block = block;
    }

    public void removeBed() {
        this.hasBed = false;
    }

    public boolean isHasBed() {
        return hasBed;
    }

    public List<Player> getMembers() {
        return members;
    }

    public void setMembers(List<Player> members) {
        this.members = members;
    }

    public String getName() {
        return name;
    }

    public Pos getSpawn() {
        return spawn;
    }

    public Pos getSpawner() {
        return spawner;
    }

    public Pos[] getBed() {
        return bed;
    }

    public Material getBlock() {
        return block;
    }
}
